# [−] [src] Trait hash32::BuildHasher

    pub trait BuildHasher {
        type Hasher: Hasher;
        fn build_hasher(&self) -> Self::Hasher;
    }

See `core::hash::BuildHasher` for details

## Associated Types

### `type Hasher: Hasher` [src]

See `core::hash::BuildHasher::Hasher`

Loading content...

## Required methods

### `fn build_hasher(&self) -> Self::Hasher` [src]

See `core::hash::BuildHasher.build_hasher`

Loading content...

## Implementors

### `impl<H> BuildHasher for BuildHasherDefault<H> where
H: Default + Hasher,` [src]

#### `type Hasher = H`

#### `fn build_hasher(&self) -> Self::Hasher` [src]

Loading content...